#include <iostream>

using namespace std;

int main (){
    ios::sync_with_stdio(false);
    cin.tie(0);
    
    int n,k,x,i;
    cin>>n>>k>>x;
    int a[n];
    a[n-1] = x+k;
    for (i=0;i<n-1;i++) {
        a[i] = i+1;    
    }
    
    for (i=0;i<n;i++) {
        cout<<a[i]<<" ";
    }
    
    return 0;   
}